%define		realname PyICU
Name:		python-icu
Version:	1.6
Release:	%mkrel 1
Summary:	Python extension wrapping IBM's ICU C++ libraries
Group:		Development/Python
License:	MIT
URL:		http://pyicu.osafoundation.org/
Source0:	http://pypi.python.org/packages/source/P/%{realname}/%{realname}-%{version}.tar.xz
Patch0:		PyICU-1.6-svnrev220.patch
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	libicu-devel

%description
PyICU is Python extension wrapping IBM's International Components 
for Unicode C++ library (ICU). ICU is a mature, widely used set of 
C/C++ and Java libraries providing Unicode and Globalization support 
for software applications. ICU is widely portable and gives applications 
the same results on all platforms and between C/C++ and Javasoftware. 

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p0 -b .r220

%build
%{__python} setup.py build 
%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$ 
%filter_setup
}

%install
%{__python} setup.py install --skip-build --root %{buildroot}
# Remove tests
rm -rf %{buildroot}%{python_sitearch}/tests

%files
%defattr(-,root,root,-)
%doc LICENSE README CHANGES CREDITS
%{python_sitearch}/*.*
%{python_sitearch}/%{realname}-%{version}-py?.?.egg-info/*.*




%changelog
* Mon Jun 02 2014 bb <bb> 1.6-1pclos2014
- update
